Ticket #41810

City size change not sent after nuke

Open Date: 2021-03-19 05:28 Last Update: 2021-03-26 17:54

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Update city information to all players that can see the tile of the nuked city.

Ticket History (3/8 Histories)

2021-03-19 05:28 Updated by: kvilhaugsvik
  • New Ticket "City size change not sent after nuke" created
2021-03-19 05:33 Updated by: kvilhaugsvik
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.4 (closed)
2021-03-21 21:56 Updated by: kvilhaugsvik
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed
2021-03-26 15:09 Updated by: cazfi
Comment

So this change is about sending *less* data? It used to do full sync_cities() that would send all affected cities. Now it sends just one city.

Just wondering about inclusion of this to S2_6 (updating NEWS-2.6.4 at the moment).

2021-03-26 15:29 Updated by: cazfi
Comment

Ok, so you want to send the city also to *other* players than the owner. Yet it's a regression that other cities are not sent to their owners (they can be affected *at least* by fallout, maybe also by the worker rearrangements of the nuked city). We should send do both.

2021-03-26 15:31 Updated by: cazfi
Comment

Opened -> #41860

2021-03-26 17:54 Updated by: kvilhaugsvik
Comment

Reply To cazfi

Yet it's a regression that other cities are not sent to their owners (they can be affected *at least* by fallout, maybe also by the worker rearrangements of the nuked city). We should send do both.

You are right. Thank you for spotting and fixing the regression.

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login